Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.strategy.scheduling.consumption
Class ReliableConsumptionScheduling

    java.lang.Object
      lbg.peer.strategy.scheduling.consumption.CommonConsumptionScheduling
          lbg.peer.strategy.scheduling.consumption.DataConsumptionScheduling
              lbg.peer.strategy.scheduling.consumption.ReliableConsumptionScheduling

All Implemented Interfaces:
  ConsumptionSchedulingPolicy

    public class ReliableConsumptionScheduling

extends DataConsumptionScheduling
implements ConsumptionSchedulingPolicy

Storage Affinity-ranked use of Consumption Grants, with TCOR-based blacklisting of unreliable suppliers.

Author:
  Cyril Briquet

Constructor Summary
`ReliableConsumptionScheduling(Peer managed_peer, Scheduler scheduler)`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class lbg.peer.strategy.scheduling.consumption.DataConsumptionScheduling
`getLocalQueueCursor, rankSuppliers`

Methods inherited from class lbg.peer.strategy.scheduling.consumption.CommonConsumptionScheduling
`assertConsumptionGrantsAvailability, scheduleConsumptionTasks, scheduleFirstConsumptionTask, scheduleNextConsumptionTask`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface lbg.peer.strategy.scheduling.ConsumptionSchedulingPolicy
`scheduleConsumptionTasks`

Constructor Detail

### ReliableConsumptionScheduling

    public ReliableConsumptionScheduling(Peer managed_peer,
                                         Scheduler scheduler)
                                  throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `DataConsumptionScheduling`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.